## unworkable 0.53

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # scons (http://www.scons.org) build for non-OpenBSD systems
 # on OpenBSD, just type 'make'.
-# $Id: SConstruct,v 1.17 2008/09/09 05:42:13 niallo Exp $
+# $Id: SConstruct,v 1.17 2008-09-09 05:42:13 niallo Exp $
 
 import sys
