=== debian/changelog ===
unworkable (0.53-3) unstable; urgency=low

  * Switch to libbsd, patch by Guillem Jover (Closes: #675077)
  * Enable hardening

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 29 May 2012 22:53:34 +0200

unworkable (0.53-2) unstable; urgency=low

  * Update Homepage address (Closes: #670723)
  * Email change: Michael Stapelberg -> stapelberg@debian.org
  * Switch source format to 3.0 (quilt)
  * Add debian/watch
  * Add build-arch, build-indep
  * Bump standards version to 3.9.3
  * Convert debian/changelog to machine-readable copyright specification

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 30 Apr 2012 15:03:59 +0200

unworkable (0.53-1) unstable; urgency=low

  * New upstream version
  * Fixes FTBFS with recent libevent (Closes: #560548)
  * Bump standards version to 3.8.3

 -- Michael Stapelberg <michael@stapelberg.de>  Mon, 21 Dec 2009 23:23:59 +0100

unworkable (0.52-1) unstable; urgency=low

  * New upstream version
  * Fixes FTBFS on GNU/kFreeBSD (Closes: #540137)
  * Bump standards version to 3.8.2

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 01 Sep 2009 00:55:57 +0200

unworkable (0.51-5) unstable; urgency=low

  * Depend on libevent-1.4-2 instead of libevent1 (Closes: #528631)
  * Update standards version to 3.8.1
  * Change maintainer email address, add DM-Upload-Allowed field

 -- Michael Stapelberg <michael@stapelberg.de>  Thu, 14 May 2009 11:29:28 +0200

unworkable (0.51-4) unstable; urgency=low

  * Fix manpage (missing .El)

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Fri, 20 Feb 2009 06:09:23 +0100

unworkable (0.51-3) unstable; urgency=low

  * Fix build dependencies (Thanks to Taniguchi Takaki) (Closes: #503499)
  * Actually call makefile (GNUmakefile) in clean target in debian/rules
    (Thanks to Taniguchi Takaki) (Closes: #512950)

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Thu, 19 Feb 2009 01:30:08 +0100

unworkable (0.51-2) unstable; urgency=low

  * Use correct upstream source

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Sat, 04 Oct 2008 16:10:05 +0200

unworkable (0.51-1) unstable; urgency=low

  * First debian release
  * Closes: #501089

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Sat, 04 Oct 2008 02:18:41 +0200
