=== debian/control ===
Source: unworkable
Section: net
Priority: optional
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 5), libbsd-dev, libevent-dev, libssl-dev, bison,
 pkg-config, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3.1
Homepage: http://code.google.com/p/unworkable/

Package: unworkable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: efficient, simple and secure bittorrent client
 Unworkable is a BSD-licensed BitTorrent implementation.
 Goals of this project include efficiency, simplicity and high code quality.
 Unworkable is single threaded and asynchronous, written in portable ANSI C
 using libevent and mmap() for performance.
