=== debian/watch ===
version=3
http://code.google.com/p/unworkable/downloads/list .*/unworkable-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
